Loading...
Searching...
No Matches
_ocsd_swt_info Struct Reference
OpenCSD Library : Interfaces

`#include <ocsd_if_types.h>`

## Public Attributes

uint16_t | swt_master_id
uint16_t | swt_channel_id
union { |
struct { |
uint32_t swt_payload_pkt_bitsize:8 |
uint32_t swt_payload_num_packets:8 |
uint32_t swt_marker_packet:1 |
uint32_t swt_has_timestamp:1 |
uint32_t swt_marker_first:1 |
uint32_t swt_master_err:1 |
uint32_t swt_global_err:1 |
uint32_t swt_trigger_event:1 |
uint32_t swt_frequency:1 |
uint32_t swt_id_valid:1 |
} |
uint32_t swt_flag_bits |
}; |

## Detailed Description

Definition at line 622 of file ocsd_if_types.h.

## Member Data Documentation

## [union]

union { ... } _ocsd_swt_info

## swt_channel_id

uint16_t _ocsd_swt_info::swt_channel_id

Definition at line 624 of file ocsd_if_types.h.

## swt_flag_bits

uint32_t _ocsd_swt_info::swt_flag_bits

Definition at line 638 of file ocsd_if_types.h.

## swt_frequency

uint32_t _ocsd_swt_info::swt_frequency

[bit 22 ] frequency packet - payload is frequency

Definition at line 635 of file ocsd_if_types.h.

## swt_global_err

uint32_t _ocsd_swt_info::swt_global_err

[bit 20 ] global error - payload is error code - master and channel ID not valid

Definition at line 633 of file ocsd_if_types.h.

## swt_has_timestamp

uint32_t _ocsd_swt_info::swt_has_timestamp

[bit 17 ] packet has timestamp.

Definition at line 630 of file ocsd_if_types.h.

## swt_id_valid

uint32_t _ocsd_swt_info::swt_id_valid

[bit 23 ] master & channel ID has been set by input stream

Definition at line 636 of file ocsd_if_types.h.

## swt_marker_first

uint32_t _ocsd_swt_info::swt_marker_first

[bit 18 ] for multiple packet payloads, this indicates if any marker is on first or last packet

Definition at line 631 of file ocsd_if_types.h.

## swt_marker_packet

uint32_t _ocsd_swt_info::swt_marker_packet

[bit 16 ] packet is marker / flag packet

Definition at line 629 of file ocsd_if_types.h.

## swt_master_err

uint32_t _ocsd_swt_info::swt_master_err

[bit 19 ] current master has error - payload is error code

Definition at line 632 of file ocsd_if_types.h.

## swt_master_id

uint16_t _ocsd_swt_info::swt_master_id

Definition at line 623 of file ocsd_if_types.h.

## swt_payload_num_packets

uint32_t _ocsd_swt_info::swt_payload_num_packets

[bits 8:15 ] number of consecutive packets of this type in the payload data

Definition at line 628 of file ocsd_if_types.h.

## swt_payload_pkt_bitsize

uint32_t _ocsd_swt_info::swt_payload_pkt_bitsize

[bits 0:7 ] Packet size in bits of the payload packets

Definition at line 627 of file ocsd_if_types.h.

## swt_trigger_event

uint32_t _ocsd_swt_info::swt_trigger_event

[bit 21 ] trigger event packet - payload is event number

Definition at line 634 of file ocsd_if_types.h.

The documentation for this struct was generated from the following file:

- /build/libopencsd-wPklVS/libopencsd-1.5.5/decoder/include/opencsd/ocsd_if_types.h